Home>Support>WordPress 5.5 has broken SiteOrigin widgets

WordPress 5.5 has broken SiteOrigin widgets

Hi, immediately after updating WordPress to ver 5.5, none of my Siteorigin widgets worked. Some didn’t appear, some refused to stretch to full width of the page, some to show any content. I reinstalled the plugin, but still the same. The rest of the widgets seem to work, however. Can you help me with this please, as I don’t want to work through hundreds of pages replacing SiteOrigin content with TX code. I’m using and i-design theme. Many thanks, Steve PC. :)

This is our free support forum. Replies can take several days. If you need fast email support, please purchase a SiteOrigin Premium license.

  1. 1 month, 16 days ago Andrew Misplon Hi, I Work Here

    Hi Steve PC

    The WordPress 5.5 update has caused many themes and plugins to produce JavaScript errors. Those errors will break anything else on the page that makes use of JavaScript like Page Builder. Try to find a working baseline as follows:

    1. Temporarily switch to the default theme Twenty Twenty.
    2. Temporarily deactivate all plugins not authored by SiteOrigin.

    In that state, does the issue resolve? If so, you can begin adding your theme and then plugins back, testing for the issue after each reactivation to locate the issue. Let us know how it goes.

Please log in to post on our forums. Signing up is free.

Get The Most Out of SiteOrigin with SiteOrigin Premium

Find Out More